/*
 * Querydsl query type
 *
 *
 */
package de.ivu.elect.business.gruppe.entity;

import static com.querydsl.core.types.PathMetadataFactory.*;

import com.querydsl.core.types.Path;
import com.querydsl.core.types.PathMetadata;
import com.querydsl.core.types.dsl.EntityPathBase;
import com.querydsl.core.types.dsl.NumberPath;
import com.querydsl.core.types.dsl.StringPath;
import com.querydsl.core.types.dsl.EnumPath;
import com.querydsl.core.types.dsl.DateTimePath;
import com.querydsl.core.types.dsl.SetPath;
import com.querydsl.core.types.dsl.BooleanPath;
import com.querydsl.core.types.dsl.PathInits;

@javax.enterprise.inject.Vetoed
@javax.annotation.Generated("de.ivu.takatuka")
public class QGruppe extends EntityPathBase<Gruppe> {

  private static final long serialVersionUID = -1;

  // Wird benötigt zur Initialisierung der Entitäten. Verhindert Schleifen, initialisiert standardmäßig aber nur direkte Referenzen, nicht mehrere Ebenen. Mehrere Ebenen müssen explizit angegeben werden.
  private static final PathInits INITS_SAFE = new PathInits("*"
	// CustomDataStorage
	// Bild
	// Wahl
, "wahl.berichtetAn"
, "wahl.customDataStorage"
, "wahl.einsehenRolle"
, "wahl.wahlart"
, "wahl.wahltermin"
);

  private static final PathInits INITS = de.ivu.elect.jee.entity.QueryDsl.DIREKT_4_EBENEN;

  public static final QGruppe gruppe = new QGruppe("gruppe");

  public final NumberPath<Long> id = createNumber("id", Long.class);

  public final StringPath discriminator = createString("discriminator");

  public final StringPath farbe = createString("farbe");

  public final StringPath farbeExtern = createString("farbeExtern");

  public final EnumPath<de.ivu.elect.business.gruppe.entity.GruppeArt> gruppeArt = createEnum("gruppeArt", de.ivu.elect.business.gruppe.entity.GruppeArt.class);

  public final BooleanPath inPraesentation = createBoolean("inPraesentation");

  public final StringPath kurzname = createString("kurzname");

  public final StringPath name = createString("name");

  public final BooleanPath privilegiert = createBoolean("privilegiert");

  public final NumberPath<java.lang.Long> relativePosition = createNumber("relativePosition", java.lang.Long.class);

  public final StringPath schluessel = createString("schluessel");

  public final NumberPath<java.lang.Long> vorgegebenePosition = createNumber("vorgegebenePosition", java.lang.Long.class);

  public final StringPath zusatzbezeichnung = createString("zusatzbezeichnung");


  // Beziehungen N:1 unidirektional

  public final de.ivu.elect.business.customdata.entity.QCustomDataStorage customDataStorage;

  public final de.ivu.elect.business.image.entity.QBild logo;

  public final de.ivu.elect.business.wahl.entity.QWahl wahl;

  // Beziehungen N:1 bidirektional


  // Beziehungen 1:N bidirektional

  public final SetPath<de.ivu.elect.business.gruppeimgebiet.entity.GruppeImGebiet, de.ivu.elect.business.gruppeimgebiet.entity.QGruppeImGebiet> gruppeImGebietsByGruppe = this.<de.ivu.elect.business.gruppeimgebiet.entity.GruppeImGebiet, de.ivu.elect.business.gruppeimgebiet.entity.QGruppeImGebiet>createSet("gruppeImGebietsByGruppe", de.ivu.elect.business.gruppeimgebiet.entity.GruppeImGebiet.class, de.ivu.elect.business.gruppeimgebiet.entity.QGruppeImGebiet.class, PathInits.DIRECT);

  /**
   * Beziehungen N:M bidirektional nicht selbstreferenzierend
   */

  public QGruppe(Class<? extends Gruppe> type, PathMetadata metadata, PathInits inits) {
    super(type, metadata, inits);
    this.customDataStorage = inits.isInitialized("customDataStorage") ? new de.ivu.elect.business.customdata.entity.QCustomDataStorage(forProperty("customDataStorage"), inits.get("customDataStorage")) : null;// de.ivu.elect.business.customdata.entity.QCustomDataStorage.customDataStorage;
    this.logo = inits.isInitialized("logo") ? new de.ivu.elect.business.image.entity.QBild(forProperty("logo"), inits.get("logo")) : null;// de.ivu.elect.business.image.entity.QBild.bild;
    this.wahl = inits.isInitialized("wahl") ? new de.ivu.elect.business.wahl.entity.QWahl(forProperty("wahl"), inits.get("wahl")) : null;// de.ivu.elect.business.wahl.entity.QWahl.wahl;
  }

  public QGruppe(String variable) {
    this(Gruppe.class, forVariable(variable), INITS);
  }

  public QGruppe(Path<? extends Gruppe> path) {
    this(path.getType(), path.getMetadata(), path.getMetadata().isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QGruppe(PathMetadata metadata) {
    this(metadata, metadata.isRoot() ? INITS : PathInits.DEFAULT);
  }

  public QGruppe(PathMetadata metadata, PathInits inits) {
    this(Gruppe.class, metadata, inits);
  }
}
